opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
opensaml::saml2md::TimeBoundSAMLObject Class Reference

Base class for metadata objects that feature a validUntil attribute. More...

`#include <saml/saml2/metadata/Metadata.h>`

Inheritance diagram for opensaml::saml2md::TimeBoundSAMLObject:

## Public Member Functions
| DECL_DATETIME_ATTRIB (ValidUntil, VALIDUNTIL)
bool | isValid () const
| Returns true iff the object is valid at the current time. More...
bool | isValid (time_t t) const
| Returns true iff the object is valid at the supplied time. More...

## Detailed Description

Base class for metadata objects that feature a validUntil attribute.

## Member Function Documentation

bool opensaml::saml2md::TimeBoundSAMLObject::isValid | ( |  | ) | const
| inline

Returns true iff the object is valid at the current time.

bool opensaml::saml2md::TimeBoundSAMLObject::isValid | ( | time_t | t | ) | const
| inline

Returns true iff the object is valid at the supplied time.

Parameters

  t | the time to check against

The documentation for this class was generated from the following file:

- saml/saml2/metadata/Metadata.h